<div class="pizza-form">
  <form [formGroup]="form">
    <label>
      <h4>Pizza name</h4>
      <input type="text" formControlName="id" hidden>
      <input type="text" placeholder="e.g. Pepperoni"
             formControlName="name"
             class='pizza-form__input'
             [class.error]="nameControlInvalid"
      >
      <div *ngIf="nameControlInvalid" class=" pizza-form__error">
        <p> Pizza must have a name</p>
      </div>

    </label>
    <label for="">
      <h4> select topping(s)</h4>
      <div class="pizza-form__list">
        <app-pizza-topping [toppings]="toppings"
                           formControlName="toppings"
        ></app-pizza-topping>
      </div>
    </label>
    <ng-content></ng-content>
    <div class="pizza-form__actions">
      <button
        *ngIf="!exists"
        (click)="onCreate()"
        class="btn btn__ok ">Create Pizza</button>
      <button *ngIf="exists"
              (click)="onChange()"
              class="btn btn__ok">Save changes</button>
      <button *ngIf="exists"
              (click)="onDelete()"
              class="btn btn__warning">Delete Pizza</button>
      <button *ngIf= "!exists" (click)="onDelete()"
               class = "btn btn__warning"> Cancel </button>
    </div>
  </form>
</div>
